Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 991985 - aqute-bnd: FTBFS in rawhide
Summary: aqute-bnd: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: aqute-bnd
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 979498 1015119 (view as bug list)
Depends On:
Blocks: F20FTBFS F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2013-08-05 03:03 UTC by Dennis Gilmore
Modified: 2016-02-01 01:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-09 17:21:58 UTC


Attachments (Terms of Use)
fix rhbz#991985, add source compatibility with ant 1.9 (deleted)
2013-09-01 13:02 UTC, gil cattaneo
no flags Details | Diff

Description Dennis Gilmore 2013-08-05 03:03:44 UTC
Your package aqute-bnd failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5697391

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/7391/5697391/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/7391/5697391/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/7391/5697391/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

Comment 1 Mat Booth 2013-08-08 18:13:39 UTC
*** Bug 979498 has been marked as a duplicate of this bug. ***

Comment 2 gil cattaneo 2013-09-01 13:02:25 UTC
Created attachment 792593 [details]
fix rhbz#991985, add source compatibility with ant 1.9

- fix rhbz#991985
- add source compatibility with ant 1.9
- remove and rebuild from source aQute.runtime.jar
- update to current packaging guidelines

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5878867

Comment 3 Fedora End Of Life 2013-09-16 15:06:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 4 Mikolaj Izdebski 2013-09-19 11:41:16 UTC
(In reply to gil cattaneo from comment #2)
> Created attachment 792593 [details]
> fix rhbz#991985, add source compatibility with ant 1.9

I this patch, but it doesn't apply cleanly.
http://koji.fedoraproject.org/koji/taskinfo?taskID=5954759

Comment 5 Mikolaj Izdebski 2014-01-08 13:51:14 UTC
*** Bug 1015119 has been marked as a duplicate of this bug. ***

Comment 6 Mikolaj Izdebski 2014-01-08 13:52:43 UTC
Still fails to build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6373255

I'll look into it soon.

Comment 7 D Morgan 2014-01-13 13:23:38 UTC
i confirm this fixes the build.

Comment 8 Jaromír Cápík 2014-05-09 16:47:48 UTC
I merged the patch and fixed the rejected hunks, but the build still fails on Base64 ambiguity.

Comment 9 gil cattaneo 2014-05-09 17:09:58 UTC
(In reply to Jaromír Cápík from comment #8)
> I merged the patch and fixed the rejected hunks, but the build still fails
> on Base64 ambiguity.

build.log is available?
otherwise can you try to change
import aQute.lib.base64.*;
with
import aQute.lib.base64.Base64;
to the following files:
aQute/bnd/signing/Signer.java

thus is a java8 issues
regards

Comment 10 Jaromír Cápík 2014-05-09 17:21:58 UTC
I've already patched that ... closing and thanks for the patch.

Comment 11 Jaromír Cápík 2014-05-09 17:24:37 UTC
The following is the correct solution:

-                ps.print(new Base64(digest));
+                ps.print(new aQute.lib.base64.Base64(digest));

...

-                                + new Base64(digest) + "\r\n";
+                                + new aQute.lib.base64.Base64(digest) + "\r\n";


Note You need to log in before you can comment on or make changes to this bug.